FROM dockerproxy.cn/php:8.1.8-fpm
# 维护者 gwang -2022.4.26
MAINTAINER gwang<wanggangzero@qq.com>

# 设置时区
#ENV TZ=Asia/Shanghai

# 安装mongodb扩展所依赖的库
RUN apt update \
    && apt install -y openssl libssl-dev zstd \
# 定制PHP_Extensions	
    && pecl install -o -f redis mongodb yac msgpack \
#    && rm -rf /tmp/pear \
    && docker-php-source extract \       
    && docker-php-ext-install mysqli sockets pdo_mysql shmop  \
	&& docker-php-source delete \
    && docker-php-ext-enable mongodb redis opcache yac msgpack

# 附加php设置	
COPY php_extra.ini /usr/local/etc/php/conf.d 

# 开机启动php-fpm进程
CMD ["php-fpm", "-F"]



####################################################################################################
# Usage:                                                                                           #
#                                                                                                  #
# docker build -t "wg/php81:tag" 81                                                                 #
#                                                                                                  #
# docker run -d --name="php81" -p=9081:9000 --restart=always -v=D:\\www:/data/www  wg/php81:tag    #
# docker run -d --name="php81" -p=9081:9000 --restart=always -v=/data:/data  wg/php81:tag          #
#                                                                                                  #
#################################################################################################### 